Newegg products search
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-newegg-products-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyword": "logitech g502",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-newegg-products-search"
payload = {
"keyword": "logitech g502",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({keyword: 'logitech g502', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-newegg-products-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "newegg_products_search",
"keyword": "logitech g502",
"sort": "0",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Newegg products search\n\n- **Keyword:** logitech g502\n- **Sort:** Featured\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 765.8 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "9SIC8NJM6E7889",
"title": "Logitech G502 X LIGHTSPEED Wireless Gaming Mouse - Optical mouse with LIGHTFORCE hybrid optical-mechanical switches, HERO 25K gaming sensor, compatible with PC - macOS/Windows - White",
"url": "https://www.newegg.com/logitech-g502-x-wl-wh-910-006187-usb-lightspeed-wireless/p/N82E16826197557",
"alias": "logitech-g502-x-wl-wh-910-006187-usb-lightspeed-wireless",
"brand": "Logitech",
"price": 118.52,
"list_price": 159.99,
"price_min": 88.3,
"price_max": 219.39,
"currency": "USD",
"rating": 4.3,
"review_count": 529,
"in_stock": true,
"is_sponsored": false,
"image": "https://c1.neweggimages.com/productimage/nb300/26-197-557-01.jpg",
"seller": {
"id": "C8NJ",
"name": "Selected Electronic Store",
"alias": "Selected-Electronic-Store",
"rating": null,
"review_count": 0,
"is_top_rated": false
}
},
"items": [
{
"id": "9SIC8NJM6E7889",
"title": "Logitech G502 X LIGHTSPEED Wireless Gaming Mouse - Optical mouse with LIGHTFORCE hybrid optical-mechanical switches, HERO 25K gaming sensor, compatible with PC - macOS/Windows - White",
"url": "https://www.newegg.com/logitech-g502-x-wl-wh-910-006187-usb-lightspeed-wireless/p/N82E16826197557",
"alias": "logitech-g502-x-wl-wh-910-006187-usb-lightspeed-wireless",
"brand": "Logitech",
"price": 118.52,
"list_price": 159.99,
"price_min": 88.3,
"price_max": 219.39,
"currency": "USD",
"rating": 4.3,
"review_count": 529,
"in_stock": true,
"is_sponsored": false,
"image": "https://c1.neweggimages.com/productimage/nb300/26-197-557-01.jpg",
"seller": {
"id": "C8NJ",
"name": "Selected Electronic Store",
"alias": "Selected-Electronic-Store",
"rating": null,
"review_count": 0,
"is_top_rated": false
}
},
{
"id": "9SIC8NJM6E7844",
"title": "Logitech G502 X Wired Gaming Mouse - LIGHTFORCE hybrid optical-mechanical primary switches, HERO 25K gaming sensor, compatible with PC - macOS/Windows - Black",
"url": "https://www.newegg.com/logitech-g502-x-w-bk-910-006136-usb-wired/p/N82E16826197554",
"alias": "logitech-g502-x-w-bk-910-006136-usb-wired",
"brand": "Logitech",
"price": 62.09,
"list_price": 99.99,
"price_min": 62.09,
"price_max": 137.12,
"currency": "USD",
"rating": 4.3,
"review_count": 529,
"in_stock": true,
"is_sponsored": false,
"image": "https://c1.neweggimages.com/productimage/nb300/26-197-554-01.jpg",
"seller": {
"id": "C8NJ",
"name": "Selected Electronic Store",
"alias": "Selected-Electronic-Store",
"rating": null,
"review_count": 0,
"is_top_rated": false
}
}
],
"proxy_traffic_bytes": 784131
},
"total_points": 2
}E-commerce & Marketplaces
Newegg products search
Search Newegg products by keyword with sort: price, rating, seller and stock. 1 point per returned record.
POST
/
functions
/
v1
/
run-newegg-products-search
Newegg products search
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Search term. e.g. logitech g502
Max items (up to 500)
Required range:
1 <= x <= 500Starting page
Required range:
x >= 1Sort by. Options: 1 = Lowest price, 2 = Highest price, 3 = Best selling, 4 = Best rating, 5 = Most reviews
Available options:
1, 2, 3, 4, 5 Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.